#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Wed Mar  9 15:03:35 2022

@author: felix
"""

#####################################################################################################################
#                                                                                                                   #
#      FFT-Workshop-22 : Introduction to FFT-based numerical methods for the homogenization of random materials     #                  
#                                                                                                                   #
#####################################################################################################################


import numpy as np
import os

from Image.MicrostructureImage import MicrostructureImage
from Image.WriteOutput import PyEVTKOutput
from Field.Field import Field


mhaFile = "./Microstructures/ball_32.mha"
#mhaFile = "./Microstructures/laminate_2.mha"
Microstructure = MicrostructureImage()
Microstructure.readColors(mhaFile)


#####################################################
### The stage is yours                              #
#####################################################